Skip to main content
GET
List a contact's interactions

Authorizations

Authorization
string
header
required

OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.

Path Parameters

contactId
integer<int64>
required

Contact ID.

Required range: x >= 0
Example:

42

Response

object[] | null

OK

address
string

Physical address related to the interaction, if applicable. (e.g., meeting location)

comments
string
contact_id
integer<int64>

ID of the contact associated with this interaction.

Required range: x >= 0
created_at
string<date-time>
date_end
string<date-time>
date_of_event
string<date-time> | null
files
object[] | null

List of files attached to the interaction.

group_id
integer<int64>
Required range: x >= 0
id
integer<int64>
Required range: x >= 0
only_super_admin
boolean

If true, only user with specific permissions can see this interaction.

sub_type
enum<string>
Available options:
incoming,
outgoing
tags
object[] | null

Tags attached to the interaction.

title
string
type
enum<string>
Available options:
email,
letter,
call,
meeting,
sms,
donation
updated_at
string<date-time>
user
object

User who logged the interaction.

user_id
integer<int64>

ID of the user who logged the interaction.

Required range: x >= 0
Last modified on August 5, 2026